#!/bin/sh

set -e
[ -n "$DEBUG" ] && set -x

if ! command -v timetrace >/dev/null 2>&1; then
	exit 0
fi

case "$1" in
on-click)
	timetrace status >/dev/null && timetrace stop
	exit 0
	;;

*) ;;
esac

while true; do
	timetrace status -o json |
		jq -c 'if .project == "---" then {} else { text: (["▶", .trackedTimeToday] | join(" ")), class: "timetracked", alt: "timetracked" } end' 2>/dev/null
	sleep 30
done
